> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Template

> Handles saving or updating a template with provided CSS,
     *          JavaScript, and HTML content based on the client ID.



## OpenAPI

````yaml post /admin/template
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/template:
    post:
      tags:
        - Templates
      summary: Post Template
      description: |-
        Handles saving or updating a template with provided CSS,
             *          JavaScript, and HTML content based on the client ID.
      operationId: postTemplate
      requestBody:
        description: Data required for creating or updating a template
        required: true
        content:
          application/json:
            schema:
              required:
                - client_id
                - css
                - js
                - html
              properties:
                client_id:
                  type: string
                css:
                  type: string
                js:
                  type: string
                html:
                  type: string
              type: object
      responses:
        '200':
          description: Template saved or updated successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````